import classNames from "classnames";
import React from "react";
type Props = {
  /**
   * Content of component
   */
  children: React.ReactNode;
  /**
   * Component styling
   */
  className?: string;
} & Omit<React.ComponentPropsWithoutRef<"div">, "">
/**
 * Main container to handle page content max-width on
 * different screen sizes
 */
export default function Container({children, className}: Props) {
  return (
    <div className={ classNames('container mx-auto', className) }>
      {children}
    </div>
  )
}
